package com.xsnb.system.controller;


import com.xsnb.common.domain.User;
import com.xsnb.common.result.Result;
import com.xsnb.system.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@RestController
@RequestMapping("/user")
public class UserController {


    @Autowired
    UserService userService;



    @GetMapping("/byphone/{phone}")
    Result<User> byphone(@PathVariable String phone){

        return userService.byphone(phone);
    }

    @PostMapping("/list")
    public Result<List<User>> list( User user){
        return userService.list(user);
    }




}
